=== debian/changelog ===
getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu4) wily; urgency=medium

  * Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 03 Aug 2015 23:42:09 +0000

getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu3) utopic; urgency=medium

  * Don't build empty scilab package on ppc64el, for real.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 02 May 2014 02:41:31 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu2) utopic; urgency=medium

  * Do not build scilab on ppc64el & arm64 either.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 23:14:02 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-3ubuntu1) utopic; urgency=medium

  * Disable scilab plugin on powerpc, as scilab fails to launch on powerpc
    (LP: #1314646)

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 01 May 2014 22:20:16 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-3) unstable; urgency=medium

  * Team upload.
  * [e6eeb35] Update (build-) dependencies for libsuperlu3-dev ->
    libsuperlu-dev transition.

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 06 Mar 2014 21:32:27 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-2) unstable; urgency=low

  * [7e66c7a] Let muparser be built on hurd.

 -- Anton Gladky <gladk@debian.org>  Mon, 09 Dec 2013 19:54:15 +0100

getfem++ (4.2.1~beta1~svn4482~dfsg-1) unstable; urgency=low

  * [a0095fe] Imported Upstream version 4.2.1~beta1~svn4482~dfsg
  * [388b847] Refresh patch.
  * [e79cef1] Bump Standards-Version 3.9.5. No changes.

 -- Anton Gladky <gladk@debian.org>  Thu, 05 Dec 2013 18:17:20 +0100
