=== debian/control ===
Source: getfem++
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders:
 Konstantinos Poulios <poulios.konstantinos@gmail.com>,
 Anton Gladky <gladk@debian.org>
Build-Depends:
 autoconf,
 automake,
 autotools-dev,
 debhelper (>= 9),
 dh-autoreconf,
 libblas-dev,
 libboost-all-dev,
 libmetis-dev,
 libmumps-seq-dev,
 libmuparser-dev,
 libqhull-dev,
 libsuperlu-dev,
 libtool,
 python-all-dev,
 python-numpy,
 python-scipy,
 python-support (>= 1.0.4),
 scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64],
 scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64]
Standards-Version: 3.9.5
Section: libs
Homepage: http://home.gna.org/getfem/
Vcs-Git: git://anonscm.debian.org/debian-science/packages/getfem.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/getfem.git

Package: libgetfem++-dbg
Section: debug
Architecture: any
Depends:
 libgetfem4++v5 (= ${binary:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Description: Debugging symbols for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains debugging files used to investigate problems with
 binaries included in the GETFEM++ packages.

Package: libgetfem++-dev
Section: libdevel
Architecture: any
Depends:
 libboost-dev,
 libgetfem4++v5 (= ${binary:Version}),
 libgmm++-dev,
 libmuparser-dev [!hurd-i386],
 libsuperlu-dev,
 ${misc:Depends}
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.

Package: libgetfem4++v5
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Conflicts: libgetfem4++
Replaces: libgetfem4++
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.

Package: libgmm++-dev
Section: libdevel
Architecture: all
Depends:
 libmumps-dev,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python-getfem++
Section: python
Architecture: any
Depends:
 libgetfem4++v5 (= ${binary:Version}),
 python (<<2.8),
 python (>= 2.7),
 python-numpy,
 ${misc:Depends},
 ${python:Depends},
 ${shlibs:Depends}
X-Python-Version: current
Provides:
 ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.

Package: scilab-getfem++
Pre-Depends:
 ${misc:Pre-Depends}
Multi-Arch: same
Architecture: alpha amd64 armel armhf i386 ia64 mips mipsel s390 s390x sparc
Depends:
 libgetfem4++v5 (= ${binary:Version}),
 scilab,
 ${misc:Depends},
 ${shlibs:Depends}
Description: Scilab interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Scilab interface to GETFEM++.
