=== debian/changelog ===
getfem++ (4.2.1~beta1~svn4635~dfsg-5ubuntu2) xenial; urgency=medium

  * No-change rebuild for qhull transition.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 19 Feb 2016 06:49:04 +0000

getfem++ (4.2.1~beta1~svn4635~dfsg-5ubuntu1) xenial; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not build scilab plugin on powerpc or ppc64el.
  * Dropped changes, included in Debian:
    - Do not build scilab plugin on arm64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 01 Nov 2015 10:59:34 -0800

getfem++ (4.2.1~beta1~svn4635~dfsg-5) unstable; urgency=medium

  * [d2f05df] Disable scilab-bindings on armel.
  * [1be577a] Drop python-support. (Closes: #786080)
  * [6631d16] Set Standatds-Version: 3.9.6. No changes.
  * [b8be6f0] Disable scilab on arm64. (Closes: #791539)

 -- Anton Gladky <gladk@debian.org>  Tue, 01 Sep 2015 22:45:12 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-4ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Do not build scilab plugin on powerpc, ppc64el, or arm64
  * Dropped changes, included in Debian:
    - Rename library packages for g++5 ABI transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 31 Aug 2015 20:32:03 +0000

getfem++ (4.2.1~beta1~svn4635~dfsg-4) unstable; urgency=medium

  [ Scott Howard ]
  * [8d1a31c] Rename package for GCC 5 transition. (Closes: #793243)

 -- Anton Gladky <gladk@debian.org>  Sun, 23 Aug 2015 22:27:04 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-3ubuntu1) wily; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Rename library packages for g++5 ABI transition.
    - Do not build scilab plugin on ppc64el, or arm64
  * Dropped changes, included in Debian:
    - Do not build scilab plugin on powerpc

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 12 Aug 2015 14:46:46 -0700

getfem++ (4.2.1~beta1~svn4635~dfsg-3) unstable; urgency=medium

  * [28e1de7] Remove failing autotest.

 -- Anton Gladky <gladk@debian.org>  Sun, 04 May 2014 17:44:44 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-2) unstable; urgency=medium

  * [8d1763d] Disable scilab on powerpc and mipsel.
  * [9dfe279] Add autotests.

 -- Anton Gladky <gladk@debian.org>  Sat, 03 May 2014 10:28:06 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-1) unstable; urgency=medium

  * [b00f6a2] Imported Upstream version 4.2.1~beta1~svn4635~dfsg. 
              (Closes: #743115)
  * [45e2e84] Update patches.

 -- Anton Gladky <gladk@debian.org>  Thu, 01 May 2014 22:49:51 +0200
