=== debian/control ===
--- 
+++ 
@@ -22,14 +22,14 @@
  python-all-dev,
  python-numpy,
  python-scipy,
- python-support (>= 1.0.4),
- scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64],
- scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !powerpc !ppc64el !arm64]
-Standards-Version: 3.9.5
+ scilab [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !armel !powerpc !ppc64el !arm64],
+ scilab-include  [!mips !kfreebsd-amd64 !kfreebsd-i386 !hurd-i386 !s390x !armel !powerpc !ppc64el !arm64]
+Standards-Version: 3.9.6
 Section: libs
 Homepage: http://home.gna.org/getfem/
 Vcs-Git: git://anonscm.debian.org/debian-science/packages/getfem.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=debian-science/packages/getfem.git
+XS-Testsuite: autopkgtest
 
 Package: libgetfem++-dbg
 Section: debug
@@ -72,7 +72,7 @@
 Depends:
  ${misc:Depends},
  ${shlibs:Depends}
-Conflicts: libgetfem4++
+Breaks: libgetfem4++
 Replaces: libgetfem4++
 Description: GETFEM++ generic finite element library
  GETFEM++ is a library allowing the computation of any elementary matrix (even
