=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 		--enable-muparser --enable-mumps \
 		--with-mumps="-lsmumps_seq -ldmumps_seq -lcmumps_seq -lzmumps_seq -lpord_seq"  
 
-disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386 armhf powerpc ppc64el arm64
+disable_scilab_archs   = mips kfreebsd-amd64 kfreebsd-i386 s390x hurd-i386 armhf powerpc ppc64el mipsel armel arm64
 ifneq (,$(filter $(DEB_HOST_ARCH), $(disable_scilab_archs)))
 	configure_flags += --disable-scilab
 else
