=== debian/tests/control ===
Tests: checkGlobalFunctions.py demoLaplacian.py
Depends: python-getfem++
