=== debian/watch ===
version=3
http://download.gna.org/getfem/stable/getfem-([\d.]+)\.tar\.gz
