## getfem++ 5.0+dfsg1

=== debian/changelog ===
getfem++ (5.0+dfsg1-2) unstable; urgency=medium

  * [ed48876] Disable some failing tests.

 -- Anton Gladky <gladk@debian.org>  Sat, 13 Aug 2016 20:55:46 +0200

getfem++ (5.0+dfsg1-1) unstable; urgency=medium

  * [9d60233] Clean some outdated files in debian/
  * [7c602ec] Refresh patches.
  * [b5d9c68] Update autopkgtest.
  * [d9d1d36] Update getfem version to version 5.
  * [a5c700b] Disable one more failing on powerpc test.
  * [f767826] Fix typo in d/changelog.
  * [1912bfb] Fix FTBFS with gcc-6.
  * [24d9ddb] Update d/copyright.
  * [18eec2c] Disable scilab.
  * [8d54911] Imported Upstream version 5.0+dfsg1
  * [16305ad] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Tue, 09 Aug 2016 21:52:07 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Revert commit 099be6a: The generated(?) d/control caused the FTBFS, as it
    removed several B-D lines. NOTE: d/control has been completely reverted,
    as many changes in d/control were not documented in the changelog, so
    assuming those were also not intended. (Closes: #818427)

 -- Tobias Frost <tobi@debian.org>  Sun, 10 Apr 2016 22:58:15 +0200

getfem++ (4.2.1~beta1~svn4635~dfsg-6) unstable; urgency=medium

  * [536e769] Add scilab to BD on arm64. (Closes: #815478, #816741)
  * [099be6a] Apply cme fix dpkg.

 -- Anton Gladky <gladk@debian.org>  Fri, 04 Mar 2016 21:57:27 +0100
