=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg\d*$// \
http://download.gna.org/getfem/stable/getfem-([\d.]+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))
