## getfem++ 5.1+dfsg1

=== doc/sphinx/source/userdoc/images/Makefile ===
--- 
+++ 
@@ -76,7 +76,10 @@
      getfemusermodelmasterslave.fig          \
      getfemusermodeldetectcontact.fig        \
      getfemusermodelfalsecontact1.fig        \
-     getfemusermodelfalsecontact2.fig
+     getfemusermodelfalsecontact2.fig        \
+     ALE_rotating_body.fig		     \
+     ALE_translation_body.fig		     \
+     ALE_rotating_conf.fig
 
 EPSFIGS=$(FIGS:.fig=.eps)
 PNGFIGS=$(FIGS:.fig=.png)
