=== debian/changelog ===
getfem++ (5.1+dfsg1-3) unstable; urgency=medium

  * [4251c39] Disable failing test.

 -- Anton Gladky <gladk@debian.org>  Wed, 31 Aug 2016 15:26:43 +0200

getfem++ (5.1+dfsg1-2) unstable; urgency=medium

  * [bb6f6b9] Disable failing test.

 -- Anton Gladky <gladk@debian.org>  Thu, 25 Aug 2016 20:37:51 +0200

getfem++ (5.1+dfsg1-1) unstable; urgency=medium

  * [414ff64] Update d/watch.
  * [32cbff8] Refresh patches.
  * [aae1c00] Imported Upstream version 5.1+dfsg1

 -- Anton Gladky <gladk@debian.org>  Tue, 23 Aug 2016 20:45:13 +0200
