=== debian/control ===
Source: getfem++
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Konstantinos Poulios <poulios.konstantinos@gmail.com>,
           Anton Gladky <gladk@debian.org>
Section: libs
Testsuite: autopkgtest
Priority: extra
Build-Depends: autoconf,
               automake,
               autotools-dev,
               debhelper (>= 9),
               dh-autoreconf,
               dh-python,
               libblas-dev,
               libboost-all-dev,
               libmetis-dev,
               libmumps-seq-dev,
               libmuparser-dev,
               libqhull-dev,
               libsuperlu-dev,
               libtool,
               python-all-dev,
               python-numpy,
               python-scipy
Standards-Version: 3.9.8
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/getfem.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/getfem.git
Homepage: http://home.gna.org/getfem/
X-Python-Version: >= 2.5

Package: libgetfem++-dev
Architecture: any
Section: libdevel
Depends: libboost-dev,
         libgetfem5++ (= ${binary:Version}),
         libgmm++-dev,
         libmuparser-dev [!hurd-i386],
         libsuperlu-dev,
         ${misc:Depends}
Description: Development files for the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains development files for building software that uses the
 GETFEM++ library.

Package: libgetfem5++
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.

Package: libgmm++-dev
Architecture: all
Section: libdevel
Depends: libmumps-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: Generic C++ template library for sparse, dense and skyline matrices
 GMM++ is a framework of pre-defined methods for matrix computation. It is built
 as a set of generic algorithms for any interfaced vector type or matrix type.
 .
 It can be viewed as a glue library allowing cooperation between several vector
 and matrix types. However, basic sparse, dense and skyline matrix/vector types
 are built-in, hence it can be used as a standalone linear algebra library.

Package: python-getfem++
Architecture: any
Section: python
Depends: libgetfem5++ (= ${binary:Version}),
         python (<< 2.8),
         python,
         python-numpy,
         ${misc:Depends},
         ${python:Depends},
         ${shlibs:Depends}
Provides: ${python:Provides}
Description: Python interface to the GETFEM++ generic finite element library
 GETFEM++ is a library allowing the computation of any elementary matrix (even
 for mixed finite element methods) on the largest class of methods and elements,
 and for arbitrary dimension.
 .
 This package contains the Python interface to GETFEM++.
