=== doc/sphinx/source/userdoc/images/Makefile ===
--- 
+++ 
@@ -1,3 +1,20 @@
+#  Copyright (C) 1999-2017 Yves Renard
+#
+#  This file is a part of GetFEM++
+#
+#  GetFEM++  is  free software;  you  can  redistribute  it  and/or modify it
+#  under  the  terms  of the  GNU  Lesser General Public License as published
+#  by  the  Free Software Foundation;  either version 3 of the License,  or
+#  (at your option) any later version along with the GCC Runtime Library
+#  Exception either version 3.1 or (at your option) any later version.
+#  This program  is  distributed  in  the  hope  that it will be useful,  but
+#  WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
+#  or  FITNESS  FOR  A PARTICULAR PURPOSE.  See the GNU Lesser General Public
+#  License and GCC Runtime Library Exception for more details.
+#  You  should  have received a copy of the GNU Lesser General Public License
+#  along  with  this program;  if not, write to the Free Software Foundation,
+#  Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301, USA.
+
 FIGS=getfemlistargyris.fig                   \
      getfemlistcubeQ1.fig                    \
      getfemlistcubeQ3.fig                    \
@@ -77,6 +94,9 @@
      getfemusermodeldetectcontact.fig        \
      getfemusermodelfalsecontact1.fig        \
      getfemusermodelfalsecontact2.fig        \
+     getfemlistpyramidP0.fig                 \
+     getfemlistpyramidP1.fig                 \
+     getfemlistpyramidP2.fig                 \
      ALE_rotating_body.fig		     \
      ALE_translation_body.fig		     \
      ALE_rotating_conf.fig
@@ -90,7 +110,7 @@
 	../../../../../bin/fig2eps $(@:.eps=.fig)
 
 .eps.png:
-	convert -density 100 $(@:.png=.eps) $@
+	convert -density 200 $(@:.png=.eps) $@
 
 png: $(PNGFIGS)
