=== debian/changelog ===
getfem++ (5.2+dfsg1-6) unstable; urgency=medium

  * Team upload.
  * [7f95df8] Use (= ${source:Version}) for the libgmm++-dev. (Closes: #887618)
  * [8197c7b] Bump Standards-Version: 4.1.3
  * [e5c6cd0] Switch to compat-level 11
  * [0d4f384] Remove myself from uploaders
  * [432ed30] Remove testsuite-field in the d/control

 -- Anton Gladky <gladk@debian.org>  Sun, 04 Feb 2018 19:03:14 +0100

getfem++ (5.2+dfsg1-5) unstable; urgency=medium

  * [b7753e9] Install getfem_arch_config.h into gmm-folder. (Closes: #872670)
  * [94f31a4] Copy needed for compilation file in d/rules.
  * [58de27d] Add versioned depedndency on libgmm-dev.

 -- Anton Gladky <gladk@debian.org>  Sun, 20 Aug 2017 14:27:42 +0200

getfem++ (5.2+dfsg1-4) unstable; urgency=medium

  * [942a518] Fix FTBFS caused by the previous upload

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 21:18:26 +0200

getfem++ (5.2+dfsg1-3) unstable; urgency=medium

  * [de659e0] Disable unreliable nonlinear_membrane test

 -- Anton Gladky <gladk@debian.org>  Wed, 16 Aug 2017 20:12:41 +0200

getfem++ (5.2+dfsg1-2) unstable; urgency=medium

  * [69ba5ec] Disable failing on mips64el test static_contact_gears.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 20:45:52 +0200

getfem++ (5.2+dfsg1-1) unstable; urgency=medium

  * [f8488f5] Update d/watch
  * [1b52fd2] Refresh patches.
  * [9388eb9] New upstream version 5.2+dfsg1. (Closes: #853416, #848859)
  * [ff6bc15] Bumped Standards-Version: 4.0.0
  * [ed9c10d] Ignore quilt dir
  * [46e9a04] Update patches.
  * [d6b5094] Set compat level 10
  * [ba31161] Set the maximal hardening level.
  * [d2ed10a] Remove not needed depends.

 -- Anton Gladky <gladk@debian.org>  Tue, 15 Aug 2017 00:02:15 +0200

getfem++ (5.1+dfsg1-4) unstable; urgency=medium

  [ Graham Inggs ]
  * [a461f19] Add missing depends on python-scipy for autopkgtests.
              (Closes: #836420)

  [ Anton Gladky ]
  * [e7274dc] Allow stderr output in autopkgtest.

 -- Anton Gladky <gladk@debian.org>  Mon, 26 Dec 2016 18:48:59 +0100
