=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 %:
-	dh $@ --with python2 --parallel --with autoreconf
+	dh $@ --with python2
 
 #=====================================================================
 
@@ -10,6 +10,8 @@
 export LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
 
 export LD_LIBRARY_PATH :=$(LD_LIBRARY_PATH):$(CURDIR)/./src/.libs/
+
+export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 configure_flags= $(CROSS) --prefix=/usr \
 		--enable-boost --enable-shared --with-pic \
@@ -22,6 +24,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- $(configure_flags)
+	cp $(CURDIR)/src/getfem/getfem_arch_config.h $(CURDIR)/src/gmm/
 
 override_dh_install:
 	find . -name '*.pyc' -print0 | xargs -0 rm -f
