=== debian/tests/control ===
Tests: checkGlobalFunctions.py checkLevelset.py demoCrack.py demoFictitiousDomains.py demoLaplacian.py demoMindlinReissnerPlate.py demoPlate.py
Depends: python-getfem++
Restrictions: allow-stderr
